Buteo::DeviceInfo Class Reference

Default Implementation of DeviceInfo class. More...

`#include <DeviceInfo.h>`

## Public Types

enum | Source { ReadFromSystem , ReadFromXml , ReadFromSystem , ReadFromXml }
| getDeviceInformation call checks this enum More...
enum | Source { ReadFromSystem , ReadFromXml , ReadFromSystem , ReadFromXml }
| getDeviceInformation call checks this enum More...

## Public Member Functions

| DeviceInfo ()
| Constructor.
virtual | ~DeviceInfo ()
| Destructor.
void | setSourceToRead (Source &)
| set properties to read from the devicse
Source | getSourceToRead ()
| get method for source
bool | setDeviceXmlFile (QString &fileName)
| set the file path to read device information from
QString | DeviceXmlFile ()
| get the file name from where the device information is read from
QMap< QString, QString > | getDeviceInformation ()
| Retrieves Device Information as Map.
void | saveDevInfoToFile (QMap< QString, QString > &aDevInfo, QString &aFileName)
| Saves Device Information to the filename.
| DeviceInfo ()
| Constructor.
virtual | ~DeviceInfo ()
| Destructor.
void | setSourceToRead (Source &)
| set properties to read from the devicse
Source | getSourceToRead ()
| get method for source
bool | setDeviceXmlFile (QString &fileName)
| set the file path to read device information from
QString | DeviceXmlFile ()
| get the file name from where the device information is read from
QMap< QString, QString > | getDeviceInformation ()
| Retrieves Device Information as Map.
void | saveDevInfoToFile (QMap< QString, QString > &aDevInfo, QString &aFileName)
| Saves Device Information to the filename.

## Detailed Description

Default Implementation of DeviceInfo class.

## Member Enumeration Documentation

## Source [1/2]

enum Buteo::DeviceInfo::Source

getDeviceInformation call checks this enum

Enumerator
ReadFromSystem | read from system
ReadFromXml | read from xml
ReadFromSystem | read from system
ReadFromXml | read from xml

## Source [2/2]

enum Buteo::DeviceInfo::Source

getDeviceInformation call checks this enum

Enumerator
ReadFromSystem | read from system
ReadFromXml | read from xml
ReadFromSystem | read from system
ReadFromXml | read from xml

## Member Function Documentation

## DeviceXmlFile() [1/2]

QString Buteo::DeviceInfo::DeviceXmlFile | ( |  | ) |

get the file name from where the device information is read from

get method

Returns
  value of the fileName set

## DeviceXmlFile() [2/2]

QString Buteo::DeviceInfo::DeviceXmlFile | ( |  | ) |

get the file name from where the device information is read from

get method

Returns
  value of the fileName set

## getDeviceInformation() [1/2]

QMap< QString, QString > Buteo::DeviceInfo::getDeviceInformation | ( |  | ) |

Retrieves Device Information as Map.

This API reads the device information as per the respective implementation

Returns
  key , value Map

## getDeviceInformation() [2/2]

QMap< QString, QString > Buteo::DeviceInfo::getDeviceInformation | ( |  | ) |

Retrieves Device Information as Map.

This API reads the device information as per the respective implementation

Returns
  key , value Map

## getSourceToRead() [1/2]

Source Buteo::DeviceInfo::getSourceToRead | ( |  | ) |

get method for source

Returns
  Source

## getSourceToRead() [2/2]

Source Buteo::DeviceInfo::getSourceToRead | ( |  | ) |

get method for source

Returns
  Source

## saveDevInfoToFile() [1/2]

void Buteo::DeviceInfo::saveDevInfoToFile | ( | QMap< QString, QString > & | aDevInfo,
|  | QString & | aFileName )

Saves Device Information to the filename.

This API saves the device information to the file

## saveDevInfoToFile() [2/2]

void Buteo::DeviceInfo::saveDevInfoToFile | ( | QMap< QString, QString > & | aDevInfo,
|  | QString & | aFileName )

Saves Device Information to the filename.

This API saves the device information to the file

## setDeviceXmlFile() [1/2]

bool Buteo::DeviceInfo::setDeviceXmlFile | ( | QString & | fileName | ) |

set the file path to read device information from

This API sets the xml file on the system from where the device info has to be read from

Returns
  value of the QFile exists method

## setDeviceXmlFile() [2/2]

bool Buteo::DeviceInfo::setDeviceXmlFile | ( | QString & | fileName | ) |

set the file path to read device information from

This API sets the xml file on the system from where the device info has to be read from

Returns
  value of the QFile exists method

## setSourceToRead() [1/2]

void Buteo::DeviceInfo::setSourceToRead | ( | Source & |  | ) |

set properties to read from the devicse

This API sets the source to read from

Returns
  none

## setSourceToRead() [2/2]

void Buteo::DeviceInfo::setSourceToRead | ( | Source & |  | ) |

set properties to read from the devicse

This API sets the source to read from

Returns
  none

The documentation for this class was generated from the following files:

- debian/tmp/usr/include/syncmlcommon/DeviceInfo.h
- syncmlcommon/DeviceInfo.h